# Interface methods for submodule: RecursiveSeparableImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: RecursiveSeparableImageFilter
class RecursiveSeparableImageFilterProxy(_InPlaceImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetDirection(self) -> int:
		""""""
		...

	def SetDirection(self, _arg: int) -> None:
		""""""
		...

	def SetInputImage(self, arg0) -> None:
		""""""
		...

	def GetInputImage(self):
		""""""
		...

